> ## Documentation Index
> Fetch the complete documentation index at: https://stytch.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Factor

> Deletes an authentication factor from the current user's account. The endpoint called depends on the type of the [AuthenticationFactor] passed: - [AuthenticationFactor.TOTP] → `DELETE /sdk/v1/users/totps/{totp_id}` - [AuthenticationFactor.Email] → `DELETE /sdk/v1/users/emails/{email_id}` - [AuthenticationFactor.OAuth] → `DELETE /sdk/v1/users/oauth/{oauth_user_registration_id}` - [AuthenticationFactor.WebAuthn] → `DELETE /sdk/v1/users/webauthn_registrations/{webauthn_registration_id}` - [AuthenticationFactor.Biometric] → `DELETE /sdk/v1/users/biometric_registrations/{biometric_registration_id}` - [AuthenticationFactor.CryptoWallet] → `DELETE /sdk/v1/users/crypto_wallets/{crypto_wallet_id}` - [AuthenticationFactor.PhoneNumber] → `DELETE /sdk/v1/users/phone_numbers/{phone_id}`

## Parameters

**factorId** `String` *required*

The unique ID of the factor.

## Returns

**requestId** `String` *required*

**statusCode** `Int` *required*

**user** `ApiUserV1User` *required*

The updated user object after the factor was removed.

**properties**

**userId** `String` *required*

**emails** `List\<ApiUserV1Email\>` *required*

**properties**

**emailId** `String` *required*

**email** `String` *required*

**verified** `Boolean` *required*

**status** `String` *required*

**phoneNumbers** `List\<ApiUserV1PhoneNumber\>` *required*

**properties**

**phoneId** `String` *required*

**phoneNumber** `String` *required*

**verified** `Boolean` *required*

**webauthnRegistrations** `List\<ApiUserV1WebAuthnRegistration\>` *required*

**properties**

**webauthnRegistrationId** `String` *required*

**domain** `String` *required*

**userAgent** `String` *required*

**verified** `Boolean` *required*

**authenticatorType** `String` *required*

**name** `String` *required*

**providers** `List\<ApiUserV1OAuthProvider\>` *required*

**properties**

**providerType** `String` *required*

**providerSubject** `String` *required*

**profilePictureUrl** `String` *required*

**locale** `String` *required*

**oauthUserRegistrationId** `String` *required*

**totps** `List\<ApiUserV1TOTP\>` *required*

**properties**

**totpId** `String` *required*

**verified** `Boolean` *required*

**cryptoWallets** `List\<ApiUserV1CryptoWallet\>` *required*

**properties**

**cryptoWalletId** `String` *required*

**cryptoWalletAddress** `String` *required*

**cryptoWalletType** `String` *required*

**verified** `Boolean` *required*

**biometricRegistrations** `List\<ApiUserV1BiometricRegistration\>` *required*

**properties**

**biometricRegistrationId** `String` *required*

**verified** `Boolean` *required*

**isLocked** `Boolean` *required*

**roles** `List\<String\>` *required*

**name** `ApiUserV1Name?`

**properties**

**firstName** `String?`

**middleName** `String?`

**lastName** `String?`

**createdAt** `Instant?`

**password** `ApiUserV1Password?`

**properties**

**passwordId** `String` *required*

**requiresReset** `Boolean` *required*

**trustedMetadata** `Map\<String, JsonElement\>?`

**untrustedMetadata** `Map\<String, JsonElement\>?`

**externalId** `String?`

**lockCreatedAt** `Instant?`

**lockExpiresAt** `Instant?`

```kotlin theme={null}
StytchConsumer.user.deleteFactor(
    AuthenticationFactor.Email(factorId = "email-test-d5a3b680-e8a3-40c0-b815-ab79986666d0")
)
```
